> ## Documentation Index
> Fetch the complete documentation index at: https://readme.amana-dev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get geo location



## OpenAPI

````yaml /openapi-readme.json get /geo-location/
openapi: 3.1.0
info:
  title: Amana API
  version: 1.0.0
  description: API documentation for Amana platform
servers:
  - url: https://gateway.amana.io
    description: Amana app
security: []
tags:
  - name: onboarding
    description: Endpoints related to user onboarding, KYC processes, and account setup.
  - name: auth
    description: Endpoints for user authentication, token management, and session handling.
  - name: trading
    description: >-
      Endpoints related to trading operations, account management, and market
      data retrieval.
  - name: charting
    description: >-
      Endpoints for retrieving historical price data, technical indicators, and
      other charting-related information.
  - name: uaepass
    description: Endpoints for UAE Pass authentication and identity verification.
  - name: alerts
  - name: cms
  - name: dw
  - name: events
  - name: geo-location
  - name: high-leverage
  - name: kyc
  - name: mt
  - name: nafath
  - name: payments
  - name: promo-codes
  - name: smart-money
  - name: support
  - name: symbols
  - name: trading-accounts
  - name: transactions
  - name: user
  - name: watchlists
paths:
  /geo-location/:
    get:
      tags:
        - geo-location
      operationId: getGeoLocation
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  ip:
                    type: string
                  city:
                    type:
                      - 'null'
                      - string
                  region:
                    type:
                      - 'null'
                      - string
                  countryCode:
                    type:
                      - 'null'
                      - string
                  countryName:
                    type:
                      - 'null'
                      - string
                  latitude:
                    type:
                      - 'null'
                      - number
                  longitude:
                    type:
                      - 'null'
                      - number
                  timezone:
                    type:
                      - 'null'
                      - string
                required:
                  - ip
                  - city
                  - region
                  - countryCode
                  - countryName
                  - latitude
                  - longitude
                  - timezone
                additionalProperties: false

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.